libgimpprint API Reference: papersize

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# papersize

The papersize describes the dimensions of a paper. More...

## Data Structures
struct | stp_papersize_t
| The papersize data type. More...
## Enumerations
enum | stp_papersize_unit_t { PAPERSIZE_ENGLISH_STANDARD, PAPERSIZE_METRIC_STANDARD, PAPERSIZE_ENGLISH_EXTENDED, PAPERSIZE_METRIC_EXTENDED }
| Units of measurement. More...
## Functions
int | stp_known_papersizes (void)
| Get the number of available papersizes.
const stp_papersize_t * | stp_get_papersize_by_name (const char *name)
| Get a papersize by name.
const stp_papersize_t * | stp_get_papersize_by_size (int length, int width)
| Get a papersize by size.
const stp_papersize_t * | stp_get_papersize_by_index (int idx)
| Get a papersize by its index number.
void | stp_default_media_size (const stp_vars_t *v, int *width, int *height)

## Detailed Description

The papersize describes the dimensions of a paper.

## Enumeration Type Documentation

enum stp_papersize_unit_t

  | Units of measurement. Enumeration values:
  PAPERSIZE_ENGLISH_STANDARD | English/Imperial units.
  PAPERSIZE_METRIC_STANDARD | Metric units.
  PAPERSIZE_ENGLISH_EXTENDED | English/Imperial units (optional paper, not displayed by default).
  PAPERSIZE_METRIC_EXTENDED | Metric units (optional paper, not displayed by default).
Definition at line 50 of file paper.h.

## Function Documentation

void stp_default_media_size | ( | const stp_vars_t * | v,
|  | int * | width,
|  | int * | height
| ) |

| Definition at line 221 of file print-papers.c. References stp_papersize_t::height, stp_get_page_height(), stp_get_page_width(), stp_get_papersize_by_name(), stp_get_string_parameter(), stp_vars_t, and stp_papersize_t::width. Referenced by internal_imageable_area(), olympus_do_print(), olympus_imageable_area(), ps_media_size_internal(), and setup_page().

const stp_papersize_t* stp_get_papersize_by_index | ( | int | idx | ) |

  | Get a papersize by its index number. Parameters:
  idx | the index number. This must not be greater than (total number of papers - 1).
Returns: a pointer to the papersize, or NULL on failure. The pointer should not be freed. Definition at line 173 of file print-papers.c. References check_paperlist(), paper_list, stp_list_get_item_by_index(), stp_list_item_get_data(), and stp_list_item_t. Referenced by escp2_parameters(), ps_parameters_internal(), and stp_get_papersize_by_size().

const stp_papersize_t* stp_get_papersize_by_name | ( | const char * | name | ) |

  | Get a papersize by name. Parameters:
  name | the short unique name of the paper.
Returns: a pointer to the papersize, or NULL on failure. The pointer should not be freed. Definition at line 160 of file print-papers.c. References check_paperlist(), paper_list, stp_list_get_item_by_name(), stp_list_item_get_data(), and stp_list_item_t. Referenced by internal_imageable_area(), olympus_imageable_area(), olympus_parameters(), and stp_default_media_size().

const stp_papersize_t* stp_get_papersize_by_size | ( | int | length,
|  | int | width
| ) |

  | Get a papersize by size. The nearest available size to the size requested will be found. Parameters:
  length | the length of the paper.
  width | the width of the paper
Returns: a pointer to the papersize, or NULL on failure. The pointer should not be freed. Definition at line 194 of file print-papers.c. References stp_papersize_t::height, paper_size_mismatch(), stp_get_papersize_by_index(), stp_known_papersizes(), and stp_papersize_t::width.

int stp_known_papersizes | ( | void |  | ) |

| Get the number of available papersizes. Returns: the number of papersizes. Definition at line 153 of file print-papers.c. References check_paperlist(), paper_list, and stp_list_get_length(). Referenced by escp2_parameters(), ps_parameters_internal(), and stp_get_papersize_by_size().